%YAML 1.1
---
gfVersion: v1.0
class: app

name: dada2-dereplication-gf
description: DADA2 Dereplication
repo_uri: https://gitlab.com/geneflow/apps/dada2-dereplication-gf.git
version: '0.1'
inputs:
  files:
    label: Input Directory
    description: Input directory
    type: Directory
parameters:
  output:
    label: Output Directory
    description: Output directory
    type: Directory
  rscript:
    label: R Script
    description: Name of R script to run
    type: File
    default: DADA2_docopt.R
  length:
    label: Read Length
    description: Read length
    type: int
  trim:
    label: Trim Length
    description: Number of bases to trim from end of forward base. 2x trimmed from reverse.
    type: int
definition:
{% if agave %}
  agave:
    agave_app_id: {{ agave.appsPrefix }}-dada2-dereplication-gf-0.1{{ revision }}
{% endif %}
  local:
    script: dada2-dereplication-gf.sh
...